add initial support for the crisarchitecture used on foxboards to openwrt
[openwrt/staging/chunkeey.git] / target / linux / etrax-2.6 / image / e100boot / src / sbl / configure
1 #! /bin/sh
2
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.13
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6 #
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
14
15 # Initialize some variables set by options.
16 # The variables have the same names as the options, with
17 # dashes changed to underlines.
18 build=NONE
19 cache_file=./config.cache
20 exec_prefix=NONE
21 host=NONE
22 no_create=
23 nonopt=NONE
24 no_recursion=
25 prefix=NONE
26 program_prefix=NONE
27 program_suffix=NONE
28 program_transform_name=s,x,x,
29 silent=
30 site=
31 srcdir=
32 target=NONE
33 verbose=
34 x_includes=NONE
35 x_libraries=NONE
36 bindir='${exec_prefix}/bin'
37 sbindir='${exec_prefix}/sbin'
38 libexecdir='${exec_prefix}/libexec'
39 datadir='${prefix}/share'
40 sysconfdir='${prefix}/etc'
41 sharedstatedir='${prefix}/com'
42 localstatedir='${prefix}/var'
43 libdir='${exec_prefix}/lib'
44 includedir='${prefix}/include'
45 oldincludedir='/usr/include'
46 infodir='${prefix}/info'
47 mandir='${prefix}/man'
48
49 # Initialize some other variables.
50 subdirs=
51 MFLAGS= MAKEFLAGS=
52 SHELL=${CONFIG_SHELL-/bin/sh}
53 # Maximum number of lines to put in a shell here document.
54 ac_max_here_lines=12
55
56 ac_prev=
57 for ac_option
58 do
59
60 # If the previous option needs an argument, assign it.
61 if test -n "$ac_prev"; then
62 eval "$ac_prev=\$ac_option"
63 ac_prev=
64 continue
65 fi
66
67 case "$ac_option" in
68 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
69 *) ac_optarg= ;;
70 esac
71
72 # Accept the important Cygnus configure options, so we can diagnose typos.
73
74 case "$ac_option" in
75
76 -bindir | --bindir | --bindi | --bind | --bin | --bi)
77 ac_prev=bindir ;;
78 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
79 bindir="$ac_optarg" ;;
80
81 -build | --build | --buil | --bui | --bu)
82 ac_prev=build ;;
83 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
84 build="$ac_optarg" ;;
85
86 -cache-file | --cache-file | --cache-fil | --cache-fi \
87 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
88 ac_prev=cache_file ;;
89 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
90 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
91 cache_file="$ac_optarg" ;;
92
93 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
94 ac_prev=datadir ;;
95 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
96 | --da=*)
97 datadir="$ac_optarg" ;;
98
99 -disable-* | --disable-*)
100 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
101 # Reject names that are not valid shell variable names.
102 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
104 fi
105 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
106 eval "enable_${ac_feature}=no" ;;
107
108 -enable-* | --enable-*)
109 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110 # Reject names that are not valid shell variable names.
111 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
113 fi
114 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
115 case "$ac_option" in
116 *=*) ;;
117 *) ac_optarg=yes ;;
118 esac
119 eval "enable_${ac_feature}='$ac_optarg'" ;;
120
121 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
122 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
123 | --exec | --exe | --ex)
124 ac_prev=exec_prefix ;;
125 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
126 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
127 | --exec=* | --exe=* | --ex=*)
128 exec_prefix="$ac_optarg" ;;
129
130 -gas | --gas | --ga | --g)
131 # Obsolete; use --with-gas.
132 with_gas=yes ;;
133
134 -help | --help | --hel | --he)
135 # Omit some internal or obsolete options to make the list less imposing.
136 # This message is too long to be a string in the A/UX 3.1 sh.
137 cat << EOF
138 Usage: configure [options] [host]
139 Options: [defaults in brackets after descriptions]
140 Configuration:
141 --cache-file=FILE cache test results in FILE
142 --help print this message
143 --no-create do not create output files
144 --quiet, --silent do not print \`checking...' messages
145 --version print the version of autoconf that created configure
146 Directory and file names:
147 --prefix=PREFIX install architecture-independent files in PREFIX
148 [$ac_default_prefix]
149 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
150 [same as prefix]
151 --bindir=DIR user executables in DIR [EPREFIX/bin]
152 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
153 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
154 --datadir=DIR read-only architecture-independent data in DIR
155 [PREFIX/share]
156 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
157 --sharedstatedir=DIR modifiable architecture-independent data in DIR
158 [PREFIX/com]
159 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
160 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
161 --includedir=DIR C header files in DIR [PREFIX/include]
162 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
163 --infodir=DIR info documentation in DIR [PREFIX/info]
164 --mandir=DIR man documentation in DIR [PREFIX/man]
165 --srcdir=DIR find the sources in DIR [configure dir or ..]
166 --program-prefix=PREFIX prepend PREFIX to installed program names
167 --program-suffix=SUFFIX append SUFFIX to installed program names
168 --program-transform-name=PROGRAM
169 run sed PROGRAM on installed program names
170 EOF
171 cat << EOF
172 Host type:
173 --build=BUILD configure for building on BUILD [BUILD=HOST]
174 --host=HOST configure for HOST [guessed]
175 --target=TARGET configure for TARGET [TARGET=HOST]
176 Features and packages:
177 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
178 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
179 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
180 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
181 --x-includes=DIR X include files are in DIR
182 --x-libraries=DIR X library files are in DIR
183 EOF
184 if test -n "$ac_help"; then
185 echo "--enable and --with options recognized:$ac_help"
186 fi
187 exit 0 ;;
188
189 -host | --host | --hos | --ho)
190 ac_prev=host ;;
191 -host=* | --host=* | --hos=* | --ho=*)
192 host="$ac_optarg" ;;
193
194 -includedir | --includedir | --includedi | --included | --include \
195 | --includ | --inclu | --incl | --inc)
196 ac_prev=includedir ;;
197 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
198 | --includ=* | --inclu=* | --incl=* | --inc=*)
199 includedir="$ac_optarg" ;;
200
201 -infodir | --infodir | --infodi | --infod | --info | --inf)
202 ac_prev=infodir ;;
203 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
204 infodir="$ac_optarg" ;;
205
206 -libdir | --libdir | --libdi | --libd)
207 ac_prev=libdir ;;
208 -libdir=* | --libdir=* | --libdi=* | --libd=*)
209 libdir="$ac_optarg" ;;
210
211 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
212 | --libexe | --libex | --libe)
213 ac_prev=libexecdir ;;
214 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
215 | --libexe=* | --libex=* | --libe=*)
216 libexecdir="$ac_optarg" ;;
217
218 -localstatedir | --localstatedir | --localstatedi | --localstated \
219 | --localstate | --localstat | --localsta | --localst \
220 | --locals | --local | --loca | --loc | --lo)
221 ac_prev=localstatedir ;;
222 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
223 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
224 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
225 localstatedir="$ac_optarg" ;;
226
227 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
228 ac_prev=mandir ;;
229 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
230 mandir="$ac_optarg" ;;
231
232 -nfp | --nfp | --nf)
233 # Obsolete; use --without-fp.
234 with_fp=no ;;
235
236 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
237 | --no-cr | --no-c)
238 no_create=yes ;;
239
240 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
241 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
242 no_recursion=yes ;;
243
244 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
245 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
246 | --oldin | --oldi | --old | --ol | --o)
247 ac_prev=oldincludedir ;;
248 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
249 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
250 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
251 oldincludedir="$ac_optarg" ;;
252
253 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
254 ac_prev=prefix ;;
255 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
256 prefix="$ac_optarg" ;;
257
258 -program-prefix | --program-prefix | --program-prefi | --program-pref \
259 | --program-pre | --program-pr | --program-p)
260 ac_prev=program_prefix ;;
261 -program-prefix=* | --program-prefix=* | --program-prefi=* \
262 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
263 program_prefix="$ac_optarg" ;;
264
265 -program-suffix | --program-suffix | --program-suffi | --program-suff \
266 | --program-suf | --program-su | --program-s)
267 ac_prev=program_suffix ;;
268 -program-suffix=* | --program-suffix=* | --program-suffi=* \
269 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
270 program_suffix="$ac_optarg" ;;
271
272 -program-transform-name | --program-transform-name \
273 | --program-transform-nam | --program-transform-na \
274 | --program-transform-n | --program-transform- \
275 | --program-transform | --program-transfor \
276 | --program-transfo | --program-transf \
277 | --program-trans | --program-tran \
278 | --progr-tra | --program-tr | --program-t)
279 ac_prev=program_transform_name ;;
280 -program-transform-name=* | --program-transform-name=* \
281 | --program-transform-nam=* | --program-transform-na=* \
282 | --program-transform-n=* | --program-transform-=* \
283 | --program-transform=* | --program-transfor=* \
284 | --program-transfo=* | --program-transf=* \
285 | --program-trans=* | --program-tran=* \
286 | --progr-tra=* | --program-tr=* | --program-t=*)
287 program_transform_name="$ac_optarg" ;;
288
289 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
290 | -silent | --silent | --silen | --sile | --sil)
291 silent=yes ;;
292
293 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
294 ac_prev=sbindir ;;
295 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
296 | --sbi=* | --sb=*)
297 sbindir="$ac_optarg" ;;
298
299 -sharedstatedir | --sharedstatedir | --sharedstatedi \
300 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
301 | --sharedst | --shareds | --shared | --share | --shar \
302 | --sha | --sh)
303 ac_prev=sharedstatedir ;;
304 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
305 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
306 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
307 | --sha=* | --sh=*)
308 sharedstatedir="$ac_optarg" ;;
309
310 -site | --site | --sit)
311 ac_prev=site ;;
312 -site=* | --site=* | --sit=*)
313 site="$ac_optarg" ;;
314
315 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
316 ac_prev=srcdir ;;
317 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
318 srcdir="$ac_optarg" ;;
319
320 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
321 | --syscon | --sysco | --sysc | --sys | --sy)
322 ac_prev=sysconfdir ;;
323 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
324 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
325 sysconfdir="$ac_optarg" ;;
326
327 -target | --target | --targe | --targ | --tar | --ta | --t)
328 ac_prev=target ;;
329 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
330 target="$ac_optarg" ;;
331
332 -v | -verbose | --verbose | --verbos | --verbo | --verb)
333 verbose=yes ;;
334
335 -version | --version | --versio | --versi | --vers)
336 echo "configure generated by autoconf version 2.13"
337 exit 0 ;;
338
339 -with-* | --with-*)
340 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341 # Reject names that are not valid shell variable names.
342 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
344 fi
345 ac_package=`echo $ac_package| sed 's/-/_/g'`
346 case "$ac_option" in
347 *=*) ;;
348 *) ac_optarg=yes ;;
349 esac
350 eval "with_${ac_package}='$ac_optarg'" ;;
351
352 -without-* | --without-*)
353 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
354 # Reject names that are not valid shell variable names.
355 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
357 fi
358 ac_package=`echo $ac_package| sed 's/-/_/g'`
359 eval "with_${ac_package}=no" ;;
360
361 --x)
362 # Obsolete; use --with-x.
363 with_x=yes ;;
364
365 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
366 | --x-incl | --x-inc | --x-in | --x-i)
367 ac_prev=x_includes ;;
368 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
369 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
370 x_includes="$ac_optarg" ;;
371
372 -x-libraries | --x-libraries | --x-librarie | --x-librari \
373 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
374 ac_prev=x_libraries ;;
375 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
376 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
377 x_libraries="$ac_optarg" ;;
378
379 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
380 ;;
381
382 *)
383 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384 echo "configure: warning: $ac_option: invalid host type" 1>&2
385 fi
386 if test "x$nonopt" != xNONE; then
387 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
388 fi
389 nonopt="$ac_option"
390 ;;
391
392 esac
393 done
394
395 if test -n "$ac_prev"; then
396 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
397 fi
398
399 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
400
401 # File descriptor usage:
402 # 0 standard input
403 # 1 file creation
404 # 2 errors and warnings
405 # 3 some systems may open it to /dev/tty
406 # 4 used on the Kubota Titan
407 # 6 checking for... messages and results
408 # 5 compiler messages saved in config.log
409 if test "$silent" = yes; then
410 exec 6>/dev/null
411 else
412 exec 6>&1
413 fi
414 exec 5>./config.log
415
416 echo "\
417 This file contains any messages produced by compilers while
418 running configure, to aid debugging if configure makes a mistake.
419 " 1>&5
420
421 # Strip out --no-create and --no-recursion so they do not pile up.
422 # Also quote any args containing shell metacharacters.
423 ac_configure_args=
424 for ac_arg
425 do
426 case "$ac_arg" in
427 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
428 | --no-cr | --no-c) ;;
429 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
430 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
431 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
433 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
434 esac
435 done
436
437 # NLS nuisances.
438 # Only set these to C if already set. These must not be set unconditionally
439 # because not all systems understand e.g. LANG=C (notably SCO).
440 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441 # Non-C LC_CTYPE values break the ctype check.
442 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
443 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
444 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
445 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
446
447 # confdefs.h avoids OS command line length limits that DEFS can exceed.
448 rm -rf conftest* confdefs.h
449 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
450 echo > confdefs.h
451
452 # A filename unique to this package, relative to the directory that
453 # configure is in, which we can look for to find out if srcdir is correct.
454 ac_unique_file=common.c
455
456 # Find the source files, if location was not specified.
457 if test -z "$srcdir"; then
458 ac_srcdir_defaulted=yes
459 # Try the directory containing this script, then its parent.
460 ac_prog=$0
461 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
463 srcdir=$ac_confdir
464 if test ! -r $srcdir/$ac_unique_file; then
465 srcdir=..
466 fi
467 else
468 ac_srcdir_defaulted=no
469 fi
470 if test ! -r $srcdir/$ac_unique_file; then
471 if test "$ac_srcdir_defaulted" = yes; then
472 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
473 else
474 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
475 fi
476 fi
477 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
478
479 # Prefer explicitly selected file to automatically selected ones.
480 if test -z "$CONFIG_SITE"; then
481 if test "x$prefix" != xNONE; then
482 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
483 else
484 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
485 fi
486 fi
487 for ac_site_file in $CONFIG_SITE; do
488 if test -r "$ac_site_file"; then
489 echo "loading site script $ac_site_file"
490 . "$ac_site_file"
491 fi
492 done
493
494 if test -r "$cache_file"; then
495 echo "loading cache $cache_file"
496 . $cache_file
497 else
498 echo "creating cache $cache_file"
499 > $cache_file
500 fi
501
502 ac_ext=c
503 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504 ac_cpp='$CPP $CPPFLAGS'
505 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
506 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
507 cross_compiling=$ac_cv_prog_cc_cross
508
509 ac_exeext=
510 ac_objext=o
511 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
512 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
513 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
514 ac_n= ac_c='
515 ' ac_t=' '
516 else
517 ac_n=-n ac_c= ac_t=
518 fi
519 else
520 ac_n= ac_c='\c' ac_t=
521 fi
522
523
524
525
526 # Extract the first word of "gcc", so it can be a program name with args.
527 set dummy gcc; ac_word=$2
528 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
529 echo "configure:530: checking for $ac_word" >&5
530 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
531 echo $ac_n "(cached) $ac_c" 1>&6
532 else
533 if test -n "$CC"; then
534 ac_cv_prog_CC="$CC" # Let the user override the test.
535 else
536 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
537 ac_dummy="$PATH"
538 for ac_dir in $ac_dummy; do
539 test -z "$ac_dir" && ac_dir=.
540 if test -f $ac_dir/$ac_word; then
541 ac_cv_prog_CC="gcc"
542 break
543 fi
544 done
545 IFS="$ac_save_ifs"
546 fi
547 fi
548 CC="$ac_cv_prog_CC"
549 if test -n "$CC"; then
550 echo "$ac_t""$CC" 1>&6
551 else
552 echo "$ac_t""no" 1>&6
553 fi
554
555 if test -z "$CC"; then
556 # Extract the first word of "cc", so it can be a program name with args.
557 set dummy cc; ac_word=$2
558 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
559 echo "configure:560: checking for $ac_word" >&5
560 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
561 echo $ac_n "(cached) $ac_c" 1>&6
562 else
563 if test -n "$CC"; then
564 ac_cv_prog_CC="$CC" # Let the user override the test.
565 else
566 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
567 ac_prog_rejected=no
568 ac_dummy="$PATH"
569 for ac_dir in $ac_dummy; do
570 test -z "$ac_dir" && ac_dir=.
571 if test -f $ac_dir/$ac_word; then
572 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
573 ac_prog_rejected=yes
574 continue
575 fi
576 ac_cv_prog_CC="cc"
577 break
578 fi
579 done
580 IFS="$ac_save_ifs"
581 if test $ac_prog_rejected = yes; then
582 # We found a bogon in the path, so make sure we never use it.
583 set dummy $ac_cv_prog_CC
584 shift
585 if test $# -gt 0; then
586 # We chose a different compiler from the bogus one.
587 # However, it has the same basename, so the bogon will be chosen
588 # first if we set CC to just the basename; use the full file name.
589 shift
590 set dummy "$ac_dir/$ac_word" "$@"
591 shift
592 ac_cv_prog_CC="$@"
593 fi
594 fi
595 fi
596 fi
597 CC="$ac_cv_prog_CC"
598 if test -n "$CC"; then
599 echo "$ac_t""$CC" 1>&6
600 else
601 echo "$ac_t""no" 1>&6
602 fi
603
604 if test -z "$CC"; then
605 case "`uname -s`" in
606 *win32* | *WIN32*)
607 # Extract the first word of "cl", so it can be a program name with args.
608 set dummy cl; ac_word=$2
609 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
610 echo "configure:611: checking for $ac_word" >&5
611 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
612 echo $ac_n "(cached) $ac_c" 1>&6
613 else
614 if test -n "$CC"; then
615 ac_cv_prog_CC="$CC" # Let the user override the test.
616 else
617 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
618 ac_dummy="$PATH"
619 for ac_dir in $ac_dummy; do
620 test -z "$ac_dir" && ac_dir=.
621 if test -f $ac_dir/$ac_word; then
622 ac_cv_prog_CC="cl"
623 break
624 fi
625 done
626 IFS="$ac_save_ifs"
627 fi
628 fi
629 CC="$ac_cv_prog_CC"
630 if test -n "$CC"; then
631 echo "$ac_t""$CC" 1>&6
632 else
633 echo "$ac_t""no" 1>&6
634 fi
635 ;;
636 esac
637 fi
638 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
639 fi
640
641 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
642 echo "configure:643: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
643
644 ac_ext=c
645 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
646 ac_cpp='$CPP $CPPFLAGS'
647 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
648 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
649 cross_compiling=$ac_cv_prog_cc_cross
650
651 cat > conftest.$ac_ext << EOF
652
653 #line 654 "configure"
654 #include "confdefs.h"
655
656 main(){return(0);}
657 EOF
658 if { (eval echo configure:659: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
659 ac_cv_prog_cc_works=yes
660 # If we can't run a trivial program, we are probably using a cross compiler.
661 if (./conftest; exit) 2>/dev/null; then
662 ac_cv_prog_cc_cross=no
663 else
664 ac_cv_prog_cc_cross=yes
665 fi
666 else
667 echo "configure: failed program was:" >&5
668 cat conftest.$ac_ext >&5
669 ac_cv_prog_cc_works=no
670 fi
671 rm -fr conftest*
672 ac_ext=c
673 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
674 ac_cpp='$CPP $CPPFLAGS'
675 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
676 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
677 cross_compiling=$ac_cv_prog_cc_cross
678
679 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
680 if test $ac_cv_prog_cc_works = no; then
681 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
682 fi
683 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
684 echo "configure:685: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
685 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
686 cross_compiling=$ac_cv_prog_cc_cross
687
688 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
689 echo "configure:690: checking whether we are using GNU C" >&5
690 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
691 echo $ac_n "(cached) $ac_c" 1>&6
692 else
693 cat > conftest.c <<EOF
694 #ifdef __GNUC__
695 yes;
696 #endif
697 EOF
698 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:699: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
699 ac_cv_prog_gcc=yes
700 else
701 ac_cv_prog_gcc=no
702 fi
703 fi
704
705 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
706
707 if test $ac_cv_prog_gcc = yes; then
708 GCC=yes
709 else
710 GCC=
711 fi
712
713 ac_test_CFLAGS="${CFLAGS+set}"
714 ac_save_CFLAGS="$CFLAGS"
715 CFLAGS=
716 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
717 echo "configure:718: checking whether ${CC-cc} accepts -g" >&5
718 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
719 echo $ac_n "(cached) $ac_c" 1>&6
720 else
721 echo 'void f(){}' > conftest.c
722 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
723 ac_cv_prog_cc_g=yes
724 else
725 ac_cv_prog_cc_g=no
726 fi
727 rm -f conftest*
728
729 fi
730
731 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
732 if test "$ac_test_CFLAGS" = set; then
733 CFLAGS="$ac_save_CFLAGS"
734 elif test $ac_cv_prog_cc_g = yes; then
735 if test "$GCC" = yes; then
736 CFLAGS="-g -O2"
737 else
738 CFLAGS="-g"
739 fi
740 else
741 if test "$GCC" = yes; then
742 CFLAGS="-O2"
743 else
744 CFLAGS=
745 fi
746 fi
747
748
749 echo $ac_n "checking for pcap_open_live in -lpcap""... $ac_c" 1>&6
750 echo "configure:751: checking for pcap_open_live in -lpcap" >&5
751 ac_lib_var=`echo pcap'_'pcap_open_live | sed 'y%./+-%__p_%'`
752 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
753 echo $ac_n "(cached) $ac_c" 1>&6
754 else
755 ac_save_LIBS="$LIBS"
756 LIBS="-lpcap $LIBS"
757 cat > conftest.$ac_ext <<EOF
758 #line 759 "configure"
759 #include "confdefs.h"
760 /* Override any gcc2 internal prototype to avoid an error. */
761 /* We use char because int might match the return type of a gcc2
762 builtin and then its argument prototype would still apply. */
763 char pcap_open_live();
764
765 int main() {
766 pcap_open_live()
767 ; return 0; }
768 EOF
769 if { (eval echo configure:770: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
770 rm -rf conftest*
771 eval "ac_cv_lib_$ac_lib_var=yes"
772 else
773 echo "configure: failed program was:" >&5
774 cat conftest.$ac_ext >&5
775 rm -rf conftest*
776 eval "ac_cv_lib_$ac_lib_var=no"
777 fi
778 rm -f conftest*
779 LIBS="$ac_save_LIBS"
780
781 fi
782 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
783 echo "$ac_t""yes" 1>&6
784 ac_tr_lib=HAVE_LIB`echo pcap | sed -e 's/[^a-zA-Z0-9_]/_/g' \
785 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
786 cat >> confdefs.h <<EOF
787 #define $ac_tr_lib 1
788 EOF
789
790 LIBS="-lpcap $LIBS"
791
792 else
793 echo "$ac_t""no" 1>&6
794 fi
795
796
797 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
798 echo "configure:799: checking how to run the C preprocessor" >&5
799 # On Suns, sometimes $CPP names a directory.
800 if test -n "$CPP" && test -d "$CPP"; then
801 CPP=
802 fi
803 if test -z "$CPP"; then
804 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
805 echo $ac_n "(cached) $ac_c" 1>&6
806 else
807 # This must be in double quotes, not single quotes, because CPP may get
808 # substituted into the Makefile and "${CC-cc}" will confuse make.
809 CPP="${CC-cc} -E"
810 # On the NeXT, cc -E runs the code through the compiler's parser,
811 # not just through cpp.
812 cat > conftest.$ac_ext <<EOF
813 #line 814 "configure"
814 #include "confdefs.h"
815 #include <assert.h>
816 Syntax Error
817 EOF
818 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
819 { (eval echo configure:820: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
820 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
821 if test -z "$ac_err"; then
822 :
823 else
824 echo "$ac_err" >&5
825 echo "configure: failed program was:" >&5
826 cat conftest.$ac_ext >&5
827 rm -rf conftest*
828 CPP="${CC-cc} -E -traditional-cpp"
829 cat > conftest.$ac_ext <<EOF
830 #line 831 "configure"
831 #include "confdefs.h"
832 #include <assert.h>
833 Syntax Error
834 EOF
835 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
836 { (eval echo configure:837: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
837 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
838 if test -z "$ac_err"; then
839 :
840 else
841 echo "$ac_err" >&5
842 echo "configure: failed program was:" >&5
843 cat conftest.$ac_ext >&5
844 rm -rf conftest*
845 CPP="${CC-cc} -nologo -E"
846 cat > conftest.$ac_ext <<EOF
847 #line 848 "configure"
848 #include "confdefs.h"
849 #include <assert.h>
850 Syntax Error
851 EOF
852 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
853 { (eval echo configure:854: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
854 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
855 if test -z "$ac_err"; then
856 :
857 else
858 echo "$ac_err" >&5
859 echo "configure: failed program was:" >&5
860 cat conftest.$ac_ext >&5
861 rm -rf conftest*
862 CPP=/lib/cpp
863 fi
864 rm -f conftest*
865 fi
866 rm -f conftest*
867 fi
868 rm -f conftest*
869 ac_cv_prog_CPP="$CPP"
870 fi
871 CPP="$ac_cv_prog_CPP"
872 else
873 ac_cv_prog_CPP="$CPP"
874 fi
875 echo "$ac_t""$CPP" 1>&6
876
877 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
878 echo "configure:879: checking for ANSI C header files" >&5
879 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
880 echo $ac_n "(cached) $ac_c" 1>&6
881 else
882 cat > conftest.$ac_ext <<EOF
883 #line 884 "configure"
884 #include "confdefs.h"
885 #include <stdlib.h>
886 #include <stdarg.h>
887 #include <string.h>
888 #include <float.h>
889 EOF
890 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
891 { (eval echo configure:892: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
892 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
893 if test -z "$ac_err"; then
894 rm -rf conftest*
895 ac_cv_header_stdc=yes
896 else
897 echo "$ac_err" >&5
898 echo "configure: failed program was:" >&5
899 cat conftest.$ac_ext >&5
900 rm -rf conftest*
901 ac_cv_header_stdc=no
902 fi
903 rm -f conftest*
904
905 if test $ac_cv_header_stdc = yes; then
906 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
907 cat > conftest.$ac_ext <<EOF
908 #line 909 "configure"
909 #include "confdefs.h"
910 #include <string.h>
911 EOF
912 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
913 egrep "memchr" >/dev/null 2>&1; then
914 :
915 else
916 rm -rf conftest*
917 ac_cv_header_stdc=no
918 fi
919 rm -f conftest*
920
921 fi
922
923 if test $ac_cv_header_stdc = yes; then
924 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
925 cat > conftest.$ac_ext <<EOF
926 #line 927 "configure"
927 #include "confdefs.h"
928 #include <stdlib.h>
929 EOF
930 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
931 egrep "free" >/dev/null 2>&1; then
932 :
933 else
934 rm -rf conftest*
935 ac_cv_header_stdc=no
936 fi
937 rm -f conftest*
938
939 fi
940
941 if test $ac_cv_header_stdc = yes; then
942 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
943 if test "$cross_compiling" = yes; then
944 :
945 else
946 cat > conftest.$ac_ext <<EOF
947 #line 948 "configure"
948 #include "confdefs.h"
949 #include <ctype.h>
950 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
951 #define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
952 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
953 int main () { int i; for (i = 0; i < 256; i++)
954 if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
955 exit (0); }
956
957 EOF
958 if { (eval echo configure:959: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
959 then
960 :
961 else
962 echo "configure: failed program was:" >&5
963 cat conftest.$ac_ext >&5
964 rm -fr conftest*
965 ac_cv_header_stdc=no
966 fi
967 rm -fr conftest*
968 fi
969
970 fi
971 fi
972
973 echo "$ac_t""$ac_cv_header_stdc" 1>&6
974 if test $ac_cv_header_stdc = yes; then
975 cat >> confdefs.h <<\EOF
976 #define STDC_HEADERS 1
977 EOF
978
979 fi
980
981 for ac_hdr in termios.h sys/ioctl.h net/if.h netinet/in.h netinet/in_systm.h netinet/ip.h netinet/udp.h netinet/tcp.h netdb.h arpa/inet.h sys/socket.h fcntl.h linux/if_ether.h signal.h string.h stdlib.h stdio.h sys/time.h unistd.h sys/stat.h sys/types.h errno.h linux/sockios.h ctype.h sys/socket.h pcap/pcap.h
982 do
983 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
984 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
985 echo "configure:986: checking for $ac_hdr" >&5
986 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
987 echo $ac_n "(cached) $ac_c" 1>&6
988 else
989 cat > conftest.$ac_ext <<EOF
990 #line 991 "configure"
991 #include "confdefs.h"
992 #include <$ac_hdr>
993 EOF
994 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
995 { (eval echo configure:996: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
996 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
997 if test -z "$ac_err"; then
998 rm -rf conftest*
999 eval "ac_cv_header_$ac_safe=yes"
1000 else
1001 echo "$ac_err" >&5
1002 echo "configure: failed program was:" >&5
1003 cat conftest.$ac_ext >&5
1004 rm -rf conftest*
1005 eval "ac_cv_header_$ac_safe=no"
1006 fi
1007 rm -f conftest*
1008 fi
1009 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1010 echo "$ac_t""yes" 1>&6
1011 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1012 cat >> confdefs.h <<EOF
1013 #define $ac_tr_hdr 1
1014 EOF
1015
1016 else
1017 echo "$ac_t""no" 1>&6
1018 fi
1019 done
1020
1021
1022 echo $ac_n "checking whether time.h and sys/time.h may both be included""... $ac_c" 1>&6
1023 echo "configure:1024: checking whether time.h and sys/time.h may both be included" >&5
1024 if eval "test \"`echo '$''{'ac_cv_header_time'+set}'`\" = set"; then
1025 echo $ac_n "(cached) $ac_c" 1>&6
1026 else
1027 cat > conftest.$ac_ext <<EOF
1028 #line 1029 "configure"
1029 #include "confdefs.h"
1030 #include <sys/types.h>
1031 #include <sys/time.h>
1032 #include <time.h>
1033 int main() {
1034 struct tm *tp;
1035 ; return 0; }
1036 EOF
1037 if { (eval echo configure:1038: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1038 rm -rf conftest*
1039 ac_cv_header_time=yes
1040 else
1041 echo "configure: failed program was:" >&5
1042 cat conftest.$ac_ext >&5
1043 rm -rf conftest*
1044 ac_cv_header_time=no
1045 fi
1046 rm -f conftest*
1047 fi
1048
1049 echo "$ac_t""$ac_cv_header_time" 1>&6
1050 if test $ac_cv_header_time = yes; then
1051 cat >> confdefs.h <<\EOF
1052 #define TIME_WITH_SYS_TIME 1
1053 EOF
1054
1055 fi
1056
1057
1058 trap '' 1 2 15
1059 cat > confcache <<\EOF
1060 # This file is a shell script that caches the results of configure
1061 # tests run on this system so they can be shared between configure
1062 # scripts and configure runs. It is not useful on other systems.
1063 # If it contains results you don't want to keep, you may remove or edit it.
1064 #
1065 # By default, configure uses ./config.cache as the cache file,
1066 # creating it if it does not exist already. You can give configure
1067 # the --cache-file=FILE option to use a different cache file; that is
1068 # what configure does when it calls configure scripts in
1069 # subdirectories, so they share the cache.
1070 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1071 # config.status only pays attention to the cache file if you give it the
1072 # --recheck option to rerun configure.
1073 #
1074 EOF
1075 # The following way of writing the cache mishandles newlines in values,
1076 # but we know of no workaround that is simple, portable, and efficient.
1077 # So, don't put newlines in cache variables' values.
1078 # Ultrix sh set writes to stderr and can't be redirected directly,
1079 # and sets the high bit in the cache file unless we assign to the vars.
1080 (set) 2>&1 |
1081 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1082 *ac_space=\ *)
1083 # `set' does not quote correctly, so add quotes (double-quote substitution
1084 # turns \\\\ into \\, and sed turns \\ into \).
1085 sed -n \
1086 -e "s/'/'\\\\''/g" \
1087 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1088 ;;
1089 *)
1090 # `set' quotes correctly as required by POSIX, so do not add quotes.
1091 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1092 ;;
1093 esac >> confcache
1094 if cmp -s $cache_file confcache; then
1095 :
1096 else
1097 if test -w $cache_file; then
1098 echo "updating cache $cache_file"
1099 cat confcache > $cache_file
1100 else
1101 echo "not updating unwritable cache $cache_file"
1102 fi
1103 fi
1104 rm -f confcache
1105
1106 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1107
1108 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1109 # Let make expand exec_prefix.
1110 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1111
1112 # Any assignment to VPATH causes Sun make to only execute
1113 # the first set of double-colon rules, so remove it if not needed.
1114 # If there is a colon in the path, we need to keep it.
1115 if test "x$srcdir" = x.; then
1116 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1117 fi
1118
1119 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1120
1121 DEFS=-DHAVE_CONFIG_H
1122
1123 # Without the "./", some shells look in PATH for config.status.
1124 : ${CONFIG_STATUS=./config.status}
1125
1126 echo creating $CONFIG_STATUS
1127 rm -f $CONFIG_STATUS
1128 cat > $CONFIG_STATUS <<EOF
1129 #! /bin/sh
1130 # Generated automatically by configure.
1131 # Run this file to recreate the current configuration.
1132 # This directory was configured as follows,
1133 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1134 #
1135 # $0 $ac_configure_args
1136 #
1137 # Compiler output produced by configure, useful for debugging
1138 # configure, is in ./config.log if it exists.
1139
1140 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1141 for ac_option
1142 do
1143 case "\$ac_option" in
1144 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1145 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1146 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1147 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1148 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1149 exit 0 ;;
1150 -help | --help | --hel | --he | --h)
1151 echo "\$ac_cs_usage"; exit 0 ;;
1152 *) echo "\$ac_cs_usage"; exit 1 ;;
1153 esac
1154 done
1155
1156 ac_given_srcdir=$srcdir
1157
1158 trap 'rm -fr `echo "Makefile conf.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1159 EOF
1160 cat >> $CONFIG_STATUS <<EOF
1161
1162 # Protect against being on the right side of a sed subst in config.status.
1163 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1164 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1165 $ac_vpsub
1166 $extrasub
1167 s%@SHELL@%$SHELL%g
1168 s%@CFLAGS@%$CFLAGS%g
1169 s%@CPPFLAGS@%$CPPFLAGS%g
1170 s%@CXXFLAGS@%$CXXFLAGS%g
1171 s%@FFLAGS@%$FFLAGS%g
1172 s%@DEFS@%$DEFS%g
1173 s%@LDFLAGS@%$LDFLAGS%g
1174 s%@LIBS@%$LIBS%g
1175 s%@exec_prefix@%$exec_prefix%g
1176 s%@prefix@%$prefix%g
1177 s%@program_transform_name@%$program_transform_name%g
1178 s%@bindir@%$bindir%g
1179 s%@sbindir@%$sbindir%g
1180 s%@libexecdir@%$libexecdir%g
1181 s%@datadir@%$datadir%g
1182 s%@sysconfdir@%$sysconfdir%g
1183 s%@sharedstatedir@%$sharedstatedir%g
1184 s%@localstatedir@%$localstatedir%g
1185 s%@libdir@%$libdir%g
1186 s%@includedir@%$includedir%g
1187 s%@oldincludedir@%$oldincludedir%g
1188 s%@infodir@%$infodir%g
1189 s%@mandir@%$mandir%g
1190 s%@CC@%$CC%g
1191 s%@CPP@%$CPP%g
1192
1193 CEOF
1194 EOF
1195
1196 cat >> $CONFIG_STATUS <<\EOF
1197
1198 # Split the substitutions into bite-sized pieces for seds with
1199 # small command number limits, like on Digital OSF/1 and HP-UX.
1200 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1201 ac_file=1 # Number of current file.
1202 ac_beg=1 # First line for current file.
1203 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1204 ac_more_lines=:
1205 ac_sed_cmds=""
1206 while $ac_more_lines; do
1207 if test $ac_beg -gt 1; then
1208 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1209 else
1210 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1211 fi
1212 if test ! -s conftest.s$ac_file; then
1213 ac_more_lines=false
1214 rm -f conftest.s$ac_file
1215 else
1216 if test -z "$ac_sed_cmds"; then
1217 ac_sed_cmds="sed -f conftest.s$ac_file"
1218 else
1219 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1220 fi
1221 ac_file=`expr $ac_file + 1`
1222 ac_beg=$ac_end
1223 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1224 fi
1225 done
1226 if test -z "$ac_sed_cmds"; then
1227 ac_sed_cmds=cat
1228 fi
1229 EOF
1230
1231 cat >> $CONFIG_STATUS <<EOF
1232
1233 CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1234 EOF
1235 cat >> $CONFIG_STATUS <<\EOF
1236 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1237 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1238 case "$ac_file" in
1239 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1240 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1241 *) ac_file_in="${ac_file}.in" ;;
1242 esac
1243
1244 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1245
1246 # Remove last slash and all that follows it. Not all systems have dirname.
1247 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1248 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1249 # The file is in a subdirectory.
1250 test ! -d "$ac_dir" && mkdir "$ac_dir"
1251 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1252 # A "../" for each directory in $ac_dir_suffix.
1253 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1254 else
1255 ac_dir_suffix= ac_dots=
1256 fi
1257
1258 case "$ac_given_srcdir" in
1259 .) srcdir=.
1260 if test -z "$ac_dots"; then top_srcdir=.
1261 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1262 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1263 *) # Relative path.
1264 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1265 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1266 esac
1267
1268
1269 echo creating "$ac_file"
1270 rm -f "$ac_file"
1271 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1272 case "$ac_file" in
1273 *Makefile*) ac_comsub="1i\\
1274 # $configure_input" ;;
1275 *) ac_comsub= ;;
1276 esac
1277
1278 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1279 sed -e "$ac_comsub
1280 s%@configure_input@%$configure_input%g
1281 s%@srcdir@%$srcdir%g
1282 s%@top_srcdir@%$top_srcdir%g
1283 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1284 fi; done
1285 rm -f conftest.s*
1286
1287 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1288 # NAME is the cpp macro being defined and VALUE is the value it is being given.
1289 #
1290 # ac_d sets the value in "#define NAME VALUE" lines.
1291 ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1292 ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1293 ac_dC='\3'
1294 ac_dD='%g'
1295 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1296 ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1297 ac_uB='\([ ]\)%\1#\2define\3'
1298 ac_uC=' '
1299 ac_uD='\4%g'
1300 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1301 ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1302 ac_eB='$%\1#\2define\3'
1303 ac_eC=' '
1304 ac_eD='%g'
1305
1306 if test "${CONFIG_HEADERS+set}" != set; then
1307 EOF
1308 cat >> $CONFIG_STATUS <<EOF
1309 CONFIG_HEADERS="conf.h"
1310 EOF
1311 cat >> $CONFIG_STATUS <<\EOF
1312 fi
1313 for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1314 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1315 case "$ac_file" in
1316 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1317 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1318 *) ac_file_in="${ac_file}.in" ;;
1319 esac
1320
1321 echo creating $ac_file
1322
1323 rm -f conftest.frag conftest.in conftest.out
1324 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1325 cat $ac_file_inputs > conftest.in
1326
1327 EOF
1328
1329 # Transform confdefs.h into a sed script conftest.vals that substitutes
1330 # the proper values into config.h.in to produce config.h. And first:
1331 # Protect against being on the right side of a sed subst in config.status.
1332 # Protect against being in an unquoted here document in config.status.
1333 rm -f conftest.vals
1334 cat > conftest.hdr <<\EOF
1335 s/[\\&%]/\\&/g
1336 s%[\\$`]%\\&%g
1337 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1338 s%ac_d%ac_u%gp
1339 s%ac_u%ac_e%gp
1340 EOF
1341 sed -n -f conftest.hdr confdefs.h > conftest.vals
1342 rm -f conftest.hdr
1343
1344 # This sed command replaces #undef with comments. This is necessary, for
1345 # example, in the case of _POSIX_SOURCE, which is predefined and required
1346 # on some systems where configure will not decide to define it.
1347 cat >> conftest.vals <<\EOF
1348 s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1349 EOF
1350
1351 # Break up conftest.vals because some shells have a limit on
1352 # the size of here documents, and old seds have small limits too.
1353
1354 rm -f conftest.tail
1355 while :
1356 do
1357 ac_lines=`grep -c . conftest.vals`
1358 # grep -c gives empty output for an empty file on some AIX systems.
1359 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1360 # Write a limited-size here document to conftest.frag.
1361 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1362 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1363 echo 'CEOF
1364 sed -f conftest.frag conftest.in > conftest.out
1365 rm -f conftest.in
1366 mv conftest.out conftest.in
1367 ' >> $CONFIG_STATUS
1368 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1369 rm -f conftest.vals
1370 mv conftest.tail conftest.vals
1371 done
1372 rm -f conftest.vals
1373
1374 cat >> $CONFIG_STATUS <<\EOF
1375 rm -f conftest.frag conftest.h
1376 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1377 cat conftest.in >> conftest.h
1378 rm -f conftest.in
1379 if cmp -s $ac_file conftest.h 2>/dev/null; then
1380 echo "$ac_file is unchanged"
1381 rm -f conftest.h
1382 else
1383 # Remove last slash and all that follows it. Not all systems have dirname.
1384 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1385 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1386 # The file is in a subdirectory.
1387 test ! -d "$ac_dir" && mkdir "$ac_dir"
1388 fi
1389 rm -f $ac_file
1390 mv conftest.h $ac_file
1391 fi
1392 fi; done
1393
1394 EOF
1395 cat >> $CONFIG_STATUS <<EOF
1396
1397 EOF
1398 cat >> $CONFIG_STATUS <<\EOF
1399
1400 exit 0
1401 EOF
1402 chmod +x $CONFIG_STATUS
1403 rm -fr confdefs* $ac_clean_files
1404 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1405